﻿using System;
using System.Windows;
using System.Windows.Controls;

using ObjectLibrary;

namespace AlertDemo
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            AlertManager.Add("SHOW_ERROR", "Error", "Error processing the command.", MessageBoxButton.OK,
                MessageBoxImage.Error);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // Show alert by name
            AlertManager.Show("SHOW_ERROR");

            // Change the title and message text
            Alert alert = AlertManager.Find("SHOW_ERROR");

            if (alert != null)
            {
                alert.Title = "Critical error";
                alert.Text = "An error occurred.";
                AlertManager.Show(alert);
            }
        }
    }
}
